Bug 1679030 - Many duplicated info when describe builder pod
Summary: Many duplicated info when describe builder pod
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Build
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.1.0
Assignee: Ben Parees
QA Contact: wewang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-20 07:37 UTC by Wenjing Zheng
Modified: 2019-06-04 10:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:44:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:44:20 UTC

Description Wenjing Zheng 2019-02-20 07:37:47 UTC
Description of problem:
There are some duplicated information in builder description which causes it very long.
[wzheng@laptop 4.0]$ oc describe pods ruby-ex-1-build
Name:               ruby-ex-1-build
Namespace:          wzheng1
Priority:           0
PriorityClassName:  <none>
Node:               ip-10-0-162-75.us-east-2.compute.internal/10.0.162.75
Start Time:         Wed, 20 Feb 2019 11:14:06 +0800
Labels:             openshift.io/build.name=ruby-ex-1
Annotations:        k8s.v1.cni.cncf.io/networks-status:
                      [{
                          "name": "openshift-sdn",
                          "ips": [
                              "10.131.1.100"
                          ],
                          "default": true,
                          "dns": {}
                      }]
                    openshift.io/build.name: ruby-ex-1
                    openshift.io/scc: privileged
Status:             Running
IP:                 10.131.1.100
Controlled By:      Build/ruby-ex-1
Init Containers:
  git-clone:
    Container ID:  cri-o://a675c553258991930c5b69814ca7075c84576054a9cdd0f99e75e63b290c788c
    Image:         quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:9708e0d19c5d475143b149323266441595dd5fba904e5e349f50760b450860ca
    Image ID:      quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:9708e0d19c5d475143b149323266441595dd5fba904e5e349f50760b450860ca
    Port:          <none>
    Host Port:     <none>
    Command:
      openshift-git-clone
    Args:
      --loglevel=0
    State:          Terminated
      Reason:       Completed
      Exit Code:    0
      Started:      Wed, 20 Feb 2019 11:14:15 +0800
      Finished:     Wed, 20 Feb 2019 11:14:31 +0800
    Ready:          True
    Restart Count:  0
    Environment:
      BUILD:                        {"kind":"Build","apiVersion":"build.openshift.io/v1","metadata":{"name":"ruby-ex-1","namespace":"wzheng1","selfLink":"/apis/build.openshift.io/v1/namespaces/wzheng1/builds/ruby-ex-1","uid":"95102857-34bd-11e9-af3f-0a580a8000e0","resourceVersion":"707868","creationTimestamp":"2019-02-20T03:14:06Z","labels":{"app":"ruby-ex","buildconfig":"ruby-ex","openshift.io/build-config.name":"ruby-ex","openshift.io/build.start-policy":"Serial"},"annotations":{"openshift.io/build-config.name":"ruby-ex","openshift.io/build.number":"1"},"ownerReferences":[{"apiVersion":"build.openshift.io/v1","kind":"BuildConfig","name":"ruby-ex","uid":"9218902e-34bd-11e9-9721-0a580a8100c2","controller":true}]},"spec":{"serviceAccount":"builder","source":{"type":"Git","git":{"uri":"https://github.com/sclorg/ruby-ex.git"}},"strategy":{"type":"Source","sourceStrategy":{"from":{"kind":"DockerImage","name":"centos/ruby-25-centos7@sha256:64f437317146b2a94a9e16bd33775e70e91f4b6b2a2b8e0e9bb463829fbf8498"},"pullSecret":{"name":"builder-dockercfg-vnpxm"}}},"output":{"to":{"kind":"DockerImage","name":"image-registry.openshift-image-registry.svc:5000/wzheng1/ruby-ex:latest"},"pushSecret":{"name":"builder-dockercfg-vnpxm"}},"resources":{},"postCommit":{},"nodeSelector":null,"triggeredBy":[{"message":"Image change","imageChangeBuild":{"imageID":"centos/ruby-25-centos7@sha256:64f437317146b2a94a9e16bd33775e70e91f4b6b2a2b8e0e9bb463829fbf8498","fromRef":{"kind":"ImageStreamTag","name":"ruby-25-centos7:latest"}}}]},"status":{"phase":"New","outputDockerImageReference":"image-registry.openshift-image-registry.svc:5000/wzheng1/ruby-ex:latest","config":{"kind":"BuildConfig","namespace":"wzheng1","name":"ruby-ex"},"output":{}}}
                                    
      SOURCE_REPOSITORY:            https://github.com/sclorg/ruby-ex.git
      SOURCE_URI:                   https://github.com/sclorg/ruby-ex.git
      ALLOWED_UIDS:                 1-
      DROP_CAPS:                    KILL,MKNOD,SETGID,SETUID
      BUILD_REGISTRIES_CONF_PATH:   /var/run/configs/openshift.io/build-system/registries.conf
      BUILD_REGISTRIES_DIR_PATH:    /var/run/configs/openshift.io/build-system/registries.d
      BUILD_SIGNATURE_POLICY_PATH:  /var/run/configs/openshift.io/build-system/policy.json
      BUILD_STORAGE_CONF_PATH:      /var/run/configs/openshift.io/build-system/storage.conf
      BUILD_BLOBCACHE_DIR:          /var/cache/blobs
    Mounts:
      /tmp/build from buildworkdir (rw)
      /var/cache/blobs from build-blob-cache (rw)
      /var/run/configs/openshift.io/build-system from build-system-configs (ro)
      /var/run/secrets/kubernetes.io/serviceaccount from builder-token-9528g (ro)
  manage-dockerfile:
    Container ID:  cri-o://a1263f31e6a00dc615c95f55aedb7bb7e83afbf20362337bd6774d5a75e4282a
    Image:         quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:9708e0d19c5d475143b149323266441595dd5fba904e5e349f50760b450860ca
    Image ID:      quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:9708e0d19c5d475143b149323266441595dd5fba904e5e349f50760b450860ca
    Port:          <none>
    Host Port:     <none>
    Command:
      openshift-manage-dockerfile
    Args:
      --loglevel=0
    State:          Terminated
      Reason:       Completed
      Exit Code:    0
      Started:      Wed, 20 Feb 2019 11:14:31 +0800
      Finished:     Wed, 20 Feb 2019 11:14:31 +0800
    Ready:          True
    Restart Count:  0
    Environment:
      BUILD:                        {"kind":"Build","apiVersion":"build.openshift.io/v1","metadata":{"name":"ruby-ex-1","namespace":"wzheng1","selfLink":"/apis/build.openshift.io/v1/namespaces/wzheng1/builds/ruby-ex-1","uid":"95102857-34bd-11e9-af3f-0a580a8000e0","resourceVersion":"707868","creationTimestamp":"2019-02-20T03:14:06Z","labels":{"app":"ruby-ex","buildconfig":"ruby-ex","openshift.io/build-config.name":"ruby-ex","openshift.io/build.start-policy":"Serial"},"annotations":{"openshift.io/build-config.name":"ruby-ex","openshift.io/build.number":"1"},"ownerReferences":[{"apiVersion":"build.openshift.io/v1","kind":"BuildConfig","name":"ruby-ex","uid":"9218902e-34bd-11e9-9721-0a580a8100c2","controller":true}]},"spec":{"serviceAccount":"builder","source":{"type":"Git","git":{"uri":"https://github.com/sclorg/ruby-ex.git"}},"strategy":{"type":"Source","sourceStrategy":{"from":{"kind":"DockerImage","name":"centos/ruby-25-centos7@sha256:64f437317146b2a94a9e16bd33775e70e91f4b6b2a2b8e0e9bb463829fbf8498"},"pullSecret":{"name":"builder-dockercfg-vnpxm"}}},"output":{"to":{"kind":"DockerImage","name":"image-registry.openshift-image-registry.svc:5000/wzheng1/ruby-ex:latest"},"pushSecret":{"name":"builder-dockercfg-vnpxm"}},"resources":{},"postCommit":{},"nodeSelector":null,"triggeredBy":[{"message":"Image change","imageChangeBuild":{"imageID":"centos/ruby-25-centos7@sha256:64f437317146b2a94a9e16bd33775e70e91f4b6b2a2b8e0e9bb463829fbf8498","fromRef":{"kind":"ImageStreamTag","name":"ruby-25-centos7:latest"}}}]},"status":{"phase":"New","outputDockerImageReference":"image-registry.openshift-image-registry.svc:5000/wzheng1/ruby-ex:latest","config":{"kind":"BuildConfig","namespace":"wzheng1","name":"ruby-ex"},"output":{}}}
                                    
      SOURCE_REPOSITORY:            https://github.com/sclorg/ruby-ex.git
      SOURCE_URI:                   https://github.com/sclorg/ruby-ex.git
      ALLOWED_UIDS:                 1-
      DROP_CAPS:                    KILL,MKNOD,SETGID,SETUID
      BUILD_REGISTRIES_CONF_PATH:   /var/run/configs/openshift.io/build-system/registries.conf
      BUILD_REGISTRIES_DIR_PATH:    /var/run/configs/openshift.io/build-system/registries.d
      BUILD_SIGNATURE_POLICY_PATH:  /var/run/configs/openshift.io/build-system/policy.json
      BUILD_STORAGE_CONF_PATH:      /var/run/configs/openshift.io/build-system/storage.conf
      BUILD_BLOBCACHE_DIR:          /var/cache/blobs
    Mounts:
      /tmp/build from buildworkdir (rw)
      /var/cache/blobs from build-blob-cache (rw)
      /var/run/configs/openshift.io/build-system from build-system-configs (ro)
      /var/run/secrets/kubernetes.io/serviceaccount from builder-token-9528g (ro)
Containers:
  sti-build:
    Container ID:  cri-o://da6653da804c75ad6b359990d5dafcd1ec4c3e653541ae7063b3c9d31dfaa223
    Image:         quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:9708e0d19c5d475143b149323266441595dd5fba904e5e349f50760b450860ca
    Image ID:      quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:9708e0d19c5d475143b149323266441595dd5fba904e5e349f50760b450860ca
    Port:          <none>
    Host Port:     <none>
    Command:
      openshift-sti-build
    Args:
      --loglevel=0
    State:          Running
      Started:      Wed, 20 Feb 2019 11:14:32 +0800
    Ready:          True
    Restart Count:  0
    Environment:
      BUILD:                        {"kind":"Build","apiVersion":"build.openshift.io/v1","metadata":{"name":"ruby-ex-1","namespace":"wzheng1","selfLink":"/apis/build.openshift.io/v1/namespaces/wzheng1/builds/ruby-ex-1","uid":"95102857-34bd-11e9-af3f-0a580a8000e0","resourceVersion":"707868","creationTimestamp":"2019-02-20T03:14:06Z","labels":{"app":"ruby-ex","buildconfig":"ruby-ex","openshift.io/build-config.name":"ruby-ex","openshift.io/build.start-policy":"Serial"},"annotations":{"openshift.io/build-config.name":"ruby-ex","openshift.io/build.number":"1"},"ownerReferences":[{"apiVersion":"build.openshift.io/v1","kind":"BuildConfig","name":"ruby-ex","uid":"9218902e-34bd-11e9-9721-0a580a8100c2","controller":true}]},"spec":{"serviceAccount":"builder","source":{"type":"Git","git":{"uri":"https://github.com/sclorg/ruby-ex.git"}},"strategy":{"type":"Source","sourceStrategy":{"from":{"kind":"DockerImage","name":"centos/ruby-25-centos7@sha256:64f437317146b2a94a9e16bd33775e70e91f4b6b2a2b8e0e9bb463829fbf8498"},"pullSecret":{"name":"builder-dockercfg-vnpxm"}}},"output":{"to":{"kind":"DockerImage","name":"image-registry.openshift-image-registry.svc:5000/wzheng1/ruby-ex:latest"},"pushSecret":{"name":"builder-dockercfg-vnpxm"}},"resources":{},"postCommit":{},"nodeSelector":null,"triggeredBy":[{"message":"Image change","imageChangeBuild":{"imageID":"centos/ruby-25-centos7@sha256:64f437317146b2a94a9e16bd33775e70e91f4b6b2a2b8e0e9bb463829fbf8498","fromRef":{"kind":"ImageStreamTag","name":"ruby-25-centos7:latest"}}}]},"status":{"phase":"New","outputDockerImageReference":"image-registry.openshift-image-registry.svc:5000/wzheng1/ruby-ex:latest","config":{"kind":"BuildConfig","namespace":"wzheng1","name":"ruby-ex"},"output":{}}}
                                    
      SOURCE_REPOSITORY:            https://github.com/sclorg/ruby-ex.git
      SOURCE_URI:                   https://github.com/sclorg/ruby-ex.git
      ALLOWED_UIDS:                 1-
      DROP_CAPS:                    KILL,MKNOD,SETGID,SETUID
      PUSH_DOCKERCFG_PATH:          /var/run/secrets/openshift.io/push
      PULL_DOCKERCFG_PATH:          /var/run/secrets/openshift.io/pull
      BUILD_REGISTRIES_CONF_PATH:   /var/run/configs/openshift.io/build-system/registries.conf
      BUILD_REGISTRIES_DIR_PATH:    /var/run/configs/openshift.io/build-system/registries.d
      BUILD_SIGNATURE_POLICY_PATH:  /var/run/configs/openshift.io/build-system/policy.json
      BUILD_STORAGE_CONF_PATH:      /var/run/configs/openshift.io/build-system/storage.conf
      BUILD_STORAGE_DRIVER:         overlay
      BUILD_ISOLATION:              chroot
      BUILD_BLOBCACHE_DIR:          /var/cache/blobs
    Mounts:
      /tmp/build from buildworkdir (rw)
      /var/cache/blobs from build-blob-cache (rw)
      /var/lib/containers/cache from buildcachedir (rw)
      /var/lib/containers/storage from container-storage-root (rw)
      /var/run/configs/openshift.io/build-system from build-system-configs (ro)
      /var/run/configs/openshift.io/certs from build-ca-bundles (rw)
      /var/run/secrets/kubernetes.io/serviceaccount from builder-token-9528g (ro)
      /var/run/secrets/openshift.io/pull from builder-dockercfg-vnpxm-pull (ro)
      /var/run/secrets/openshift.io/push from builder-dockercfg-vnpxm-push (ro)
Conditions:
  Type              Status
  Initialized       True 
  Ready             True 
  ContainersReady   True 
  PodScheduled      True 
Volumes:
  buildcachedir:
    Type:          HostPath (bare host directory volume)
    Path:          /var/lib/containers/cache
    HostPathType:  
  buildworkdir:
    Type:    EmptyDir (a temporary directory that shares a pod's lifetime)
    Medium:  
  builder-dockercfg-vnpxm-push:
    Type:        Secret (a volume populated by a Secret)
    SecretName:  builder-dockercfg-vnpxm
    Optional:    false
  builder-dockercfg-vnpxm-pull:
    Type:        Secret (a volume populated by a Secret)
    SecretName:  builder-dockercfg-vnpxm
    Optional:    false
  build-system-configs:
    Type:      ConfigMap (a volume populated by a ConfigMap)
    Name:      ruby-ex-1-sys-config
    Optional:  false
  build-ca-bundles:
    Type:      ConfigMap (a volume populated by a ConfigMap)
    Name:      ruby-ex-1-ca
    Optional:  false
  container-storage-root:
    Type:    EmptyDir (a temporary directory that shares a pod's lifetime)
    Medium:  
  build-blob-cache:
    Type:    EmptyDir (a temporary directory that shares a pod's lifetime)
    Medium:  
  builder-token-9528g:
    Type:        Secret (a volume populated by a Secret)
    SecretName:  builder-token-9528g
    Optional:    false
QoS Class:       BestEffort
Node-Selectors:  <none>
Tolerations:     node.kubernetes.io/not-ready:NoExecute for 300s
                 node.kubernetes.io/unreachable:NoExecute for 300s
Events:
  Type    Reason     Age   From                                                Message
  ----    ------     ----  ----                                                -------
  Normal  Scheduled  77s   default-scheduler                                   Successfully assigned wzheng1/ruby-ex-1-build to ip-10-0-162-75.us-east-2.compute.internal
  Normal  Pulled     69s   kubelet, ip-10-0-162-75.us-east-2.compute.internal  Container image "quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:9708e0d19c5d475143b149323266441595dd5fba904e5e349f50760b450860ca" already present on machine
  Normal  Created    68s   kubelet, ip-10-0-162-75.us-east-2.compute.internal  Created container
  Normal  Started    68s   kubelet, ip-10-0-162-75.us-east-2.compute.internal  Started container
  Normal  Pulled     52s   kubelet, ip-10-0-162-75.us-east-2.compute.internal  Container image "quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:9708e0d19c5d475143b149323266441595dd5fba904e5e349f50760b450860ca" already present on machine
  Normal  Created    52s   kubelet, ip-10-0-162-75.us-east-2.compute.internal  Created container
  Normal  Started    52s   kubelet, ip-10-0-162-75.us-east-2.compute.internal  Started container
  Normal  Pulled     51s   kubelet, ip-10-0-162-75.us-east-2.compute.internal  Container image "quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:9708e0d19c5d475143b149323266441595dd5fba904e5e349f50760b450860ca" already present on machine
  Normal  Created    51s   kubelet, ip-10-0-162-75.us-east-2.compute.internal  Created container
  Normal  Started    51s   kubelet, ip-10-0-162-75.us-east-2.compute.internal  Started container


Version-Release number of selected component (if applicable):
4.0.0-0.nightly-2019-02-19-205011

How reproducible:
Always

Steps to Reproduce:
1.Trigger a build
2.Describe builder pod
3.

Actual results:
A very long description

Expected results:
Should be concise

Additional info:

Comment 1 Ben Parees 2019-02-20 16:15:35 UTC
we have no control over the description of a pod, that's upstream, but i don't see this changing anyway.  It just happens that the build pod includes a bunch of init containers that have similar config (env + mounts) so you see a lot of the same information.  But upstream is not going to change how pod describe works to not print that information.


You should really be using oc describe build anyway, when you know you have a build..

Comment 4 errata-xmlrpc 2019-06-04 10:44:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.